Support » Plugin: Yoast SEO » Lot of javascript errors + editors not working

  • Resolved happyhippolars

    (@happyhippolars)


    Hello,

    I noticed that on some content types the editor (both, old editor and the block-editor) isn’t working anymore. I’m getting many javascript errors when I open the console.

    Uncaught TypeError: Cannot read property ‘each’ of undefined
    at N.d.constructFromSchema (wp-api.js?ver=5.1:1257)

    Uncaught TypeError: Cannot read property ‘extend’ of undefined
    at HTMLDocument.<anonymous> (updates.js?ver=5.1:1714)

    Uncaught TypeError: Object(…) is not a function
    at Module.326 (keycodes.js?ver=2.0.6:303)

    data.js?ver=4.2.1:1005 Uncaught TypeError: Object(…) is not a function
    at Module.309 (data.js?ver=4.2.1:1005)

    Uncaught TypeError: Cannot read property ‘use’ of undefined
    at post.php?post=1613&action=edit&classic-editor&classic-editor__forget:2378

    Uncaught TypeError: Cannot read property ‘combineReducers’ of undefined
    at Module.307 (rich-text.js?ver=3.0.7:274)

    After debugging I noticed that all of them are because lodash isn’t available. The errors all point to places where lodash or _ is called. When I disable the plugin everything works. I’ve followed the debug steps mentioned in https://wordpress.org/support/topic/tabs-not-working-28/?view=all#post-11290965

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.